PhotoGPT Developers

Create or update a model

POST
/models

Creates a new model or updates an existing one for the authenticated user.

Authorization

BearerAuth
AuthorizationBearer <token>

Developer API key. Send as Authorization: Bearer <api_key>.

In: header

Request Body

application/json

Model creation or update payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/models" \  -H "Content-Type: application/json" \  -d '{}'
{  "result": {    "createdAt": "string",    "id": "string",    "modelType": "string",    "status": "new",    "updatedAt": "string"  },  "status": "OK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}